Bug 168740 - CAN-2005-2968 Firefox improper command line URL sanitization
CAN-2005-2968 Firefox improper command line URL sanitization
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
impact=important,public=20050906,repo...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-19 17:55 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-785
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-22 16:15:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-09-19 17:55:11 EDT
+++ This bug was initially created as a clone of Bug #168737 +++

Upstream bug:
https://bugzilla.mozilla.org/show_bug.cgi?id=307185

The URL passed to firefox on the command line does not properly escape dangerous
characters before handing the URL to the shell.
Comment 1 Red Hat Bugzilla 2005-09-22 16:15:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-785.html

Note You need to log in before you can comment on or make changes to this bug.